/itemlistingrequestupdatenotification
POST
https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification
Body Parameters
- bodyobject
- timestampinteger<int32>DescriptionDefault1415287568
- typestringDescriptionDefaultITEM_LISTING_REQUEST_UPDATE
- accountIdstringDescriptionDefaulte520-ba9a-367-60b
- eventIdstringDescriptionDefaultr48987fgdse0r
- correlationIdstringDescriptionDefault2356fdse0rr489
- merchantActionstringDescriptionDefaultRELEASE
- triggeredBystringDescriptionDefault
- agentCommentsstringDescriptionDefault顧客は正当なようです
- linkToEventInForterDashboardstringDescriptionDefaulthttps://portal.forter.com/touchpoint/2356fdse0rr489
Responses
200
curl
curl --request POST \
--url https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data-raw '{
"timestamp": "1415287568",
"type": "ITEM_LISTING_REQUEST_UPDATE",
"accountId": "e520-ba9a-367-60b",
"eventId": "r48987fgdse0r",
"correlationId": "2356fdse0rr489",
"merchantAction": "RELEASE",
"triggeredBy": "[email protected]",
"agentComments": "顧客は正当なようです",
"linkToEventInForterDashboard": "https://portal.forter.com/touchpoint/2356fdse0rr489"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"timestamp": "1415287568",
"type": "ITEM_LISTING_REQUEST_UPDATE",
"accountId": "e520-ba9a-367-60b",
"eventId": "r48987fgdse0r",
"correlationId": "2356fdse0rr489",
"merchantAction": "RELEASE",
"triggeredBy": "[email protected]",
"agentComments": "顧客は正当なようです",
"linkToEventInForterDashboard": "https://portal.forter.com/touchpoint/2356fdse0rr489"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"timestamp": "1415287568",
"type": "ITEM_LISTING_REQUEST_UPDATE",
"accountId": "e520-ba9a-367-60b",
"eventId": "r48987fgdse0r",
"correlationId": "2356fdse0rr489",
"merchantAction": "RELEASE",
"triggeredBy": "[email protected]",
"agentComments": "顧客は正当なようです",
"linkToEventInForterDashboard": "https://portal.forter.com/touchpoint/2356fdse0rr489"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://endpoint.YOURDOMAIN.com/itemlistingrequestupdatenotification"
payload = json.dumps({
"timestamp": "1415287568",
"type": "ITEM_LISTING_REQUEST_UPDATE",
"accountId": "e520-ba9a-367-60b",
"eventId": "r48987fgdse0r",
"correlationId": "2356fdse0rr489",
"merchantAction": "RELEASE",
"triggeredBy": "[email protected]",
"agentComments": "顧客は正当なようです",
"linkToEventInForterDashboard": "https://portal.forter.com/touchpoint/2356fdse0rr489"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200